package ch.unige.solidify.util;

import java.io.InputStream;
import java.io.Reader;

import org.w3c.dom.ls.LSInput;

public class LSInputImpl implements LSInput {
  private String baseURI;
  private InputStream byteStream;
  private boolean certifiedText;
  private Reader characterStream;
  private String encoding;
  private String publicId;
  private String stringData;
  private String systemId;

  @Override
  public String getBaseURI() {
    return this.baseURI;
  }

  @Override
  public InputStream getByteStream() {
    return this.byteStream;
  }

  @Override
  public boolean getCertifiedText() {
    return false;
  }

  @Override
  public Reader getCharacterStream() {
    return this.characterStream;
  }

  @Override
  public String getEncoding() {
    return this.encoding;
  }

  @Override
  public String getPublicId() {
    return this.publicId;
  }

  @Override
  public String getStringData() {
    return this.stringData;
  }

  @Override
  public String getSystemId() {
    return this.systemId;
  }

  public boolean isCertifiedText() {
    return this.certifiedText;
  }

  @Override
  public void setBaseURI(String baseURI) {
    this.baseURI = baseURI;
  }

  @Override
  public void setByteStream(InputStream byteStream) {
    this.byteStream = byteStream;
  }

  @Override
  public void setCertifiedText(boolean certifiedText) {
    this.certifiedText = certifiedText;
  }

  @Override
  public void setCharacterStream(Reader characterStream) {
    this.characterStream = characterStream;
  }

  @Override
  public void setEncoding(String encoding) {
    this.encoding = encoding;
  }

  @Override
  public void setPublicId(String publicId) {
    this.publicId = publicId;
  }

  @Override
  public void setStringData(String stringData) {
    this.stringData = stringData;
  }

  @Override
  public void setSystemId(String systemId) {
    this.systemId = systemId;
  }

}
